Battle Trumpet in Final Fantasy VII.

Lua error in package.lua at line 80: module 'Dev:Quote' not found. Battle Trumpet Lua error in package.lua at line 80: module 'Dev:Japanese' not found., also known as War Trumpet, is a recurring weapon in the series.

Appearances[edit | edit source]

Final Fantasy VII[edit | edit source]

Battle Trumpet is the third strongest weapon for Cait Sith, being beaten by the Starlight Phone and HP Shout. It provides 95 Attack and Atk%, Critical% +2, and has three linked materia slots with normal growth. It can only be found in the Junon Underwater Reactor at the Submarine Docks.

Final Fantasy Tactics Advance[edit | edit source]

Lua error in package.lua at line 80: module 'Dev:Quote' not found. War Trumpet is a low-ranked instrument that provides 25 Attack and 1 Evasion, and teaches Goblin and Panther to the Beastmaster for 200 AP and Catnip to the Animist for 100 AP. Lua error in package.lua at line 95: loop or previous error loading module 'Dev:Arguments'.

Final Fantasy Tactics A2: Grimoire of the Rift[edit | edit source]

War Trumpet is a low-ranked instrument that provides 25 Attack and 2 Evasion, and teaches Wolf to the Beastmaster for 150 AP and Catnip to the Animist for 200 AP. It can be obtained from the Bazaar through the Ill-tuned Instruments D pack. Lua error in package.lua at line 95: loop or previous error loading module 'Dev:Arguments'.

Dissidia Final Fantasy Opera Omnia[edit | edit source]

Lua error in package.lua at line 95: loop or previous error loading module 'Dev:Arguments'.

Pictlogica Final Fantasy[edit | edit source]

Lua error in package.lua at line 95: loop or previous error loading module 'Dev:Arguments'.

Pictlogica Final Fantasy ≒[edit | edit source]

Lua error in package.lua at line 95: loop or previous error loading module 'Dev:Arguments'.

Final Fantasy Airborne Brigade[edit | edit source]

Lua error in package.lua at line 95: loop or previous error loading module 'Dev:Arguments'.

Final Fantasy Record Keeper[edit | edit source]

Lua error in package.lua at line 95: loop or previous error loading module 'Dev:Arguments'.

Final Fantasy Fables: Chocobo Tales[edit | edit source]

Lua error in package.lua at line 95: loop or previous error loading module 'Dev:Arguments'.

Gallery[edit | edit source]

Community content is available under CC-BY-SA unless otherwise noted.